Skip to main content
GET
Meter types with how many meters read them and how many maintenance triggers depend on them.

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
code
string
name
string
unit_of_measure_id
string
unit_code
string
unit_name
string
is_cumulative
string
is_active
string
meters
string
plan_triggers
string
row_version
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

code
string<character varying>
Maximum string length: 60
id
string<uuid>

Note: This is a Primary Key.

is_active
boolean<boolean>
is_cumulative
boolean<boolean>
meters
integer<bigint>
name
string<character varying>
Maximum string length: 150
plan_triggers
integer<bigint>
row_version
integer<bigint>
unit_code
string<character varying>
Maximum string length: 30
unit_name
string<character varying>
Maximum string length: 100
unit_of_measure_id
string<uuid>

Note: This is a Foreign Key to units_of_measure.id.